package com.jeethink.receive.mapper;

import com.jeethink.bean.domain.ArchivesMaster;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ArchivesMapper {

    List<ArchivesMaster> selectArchivesList(ArchivesMaster archives);

    ArchivesMaster selectById(String archivesId);

    void insertArchives(ArchivesMaster master);

    void updateArchive(ArchivesMaster archivesMaster);

    void changeNowStatus(@Param("archivesId") String archivesId, @Param("nowStatus") String nowStatus);

    int romoveById(String archivesId);

    List<ArchivesMaster> selectExpireArchivesList(ArchivesMaster archives);

    void postponeArchives(ArchivesMaster archives);

    List<ArchivesMaster> selectArchivesByUser(ArchivesMaster archives);

    ArchivesMaster selectJk(String userNumber);
}
